import os
import pickle 
mnoz1={'pen','book','pen','iPhone','table','book'}  #Объект типа «множество»
fp=open(os.path.dirname(os.path.abspath("report.md")) + '/TEMA6/zapis6.mnz','wb')  # Бинарный файл – на запись
pickle.dump(mnoz1,fp)  #dump – метод записи объекта в файл
fp.close()